# services/cassandra/serviceaccounts.yaml
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-backend
  namespace: cassandra
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-generator
  namespace: cassandra
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-frontend
  namespace: cassandra
automountServiceAccountToken: false
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-postgres
  namespace: cassandra
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-retention
  namespace: cassandra
automountServiceAccountToken: false
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-vault-sync
  namespace: cassandra
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-secrets-ensure
  namespace: cassandra
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-db-migration
  namespace: cassandra
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-artifact-migration
  namespace: cassandra
automountServiceAccountToken: false
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: cassandra-sim
  namespace: cassandra
automountServiceAccountToken: false
imagePullSecrets:
  - name: harbor-regcred
